Bug 772665 - [RFE] Need support for AltGr mappings
Summary: [RFE] Need support for AltGr mappings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1051405
TreeView+ depends on / blocked
 
Reported: 2012-01-09 14:58 UTC by Pravin Satpute
Modified: 2016-01-09 02:21 UTC (History)
6 users (show)

Fixed In Version: ibus-typing-booster-1.3.0-3.fc23 ibus-typing-booster-1.3.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-22 22:03:05 UTC


Attachments (Terms of Use)

Description Pravin Satpute 2012-01-09 14:58:44 UTC
Description of problem:
Inscript 2 has certain characters on AltGr keys, presently these characters not accessible through ibus-indic-table

Version-Release number of selected component (if applicable):
ibus-indic-table-1.3.1-22.fc16.noarch

How reproducible:
everytime

Steps to Reproduce:
1. Install bengali-typing-booster-inscript
2. Select "Bengali: Inscript Booster" layout from ibus-preference
3. Click on about, see there are certain characters are mapped on AltGr+
  
Actual results:
Can not get those characters from AltGr (Right Alt key)

Expected results:
It should be accessible with AltGr key

Additional info:
AltGr characters are prepended with "." key, so if someone press AltGr+m, it should be search in Database using ".m"

Comment 1 Pravin Satpute 2012-06-08 08:42:10 UTC
closing this bug and moving to ibus-hunspell-table. 
This will be sure blocker for making ibus-hunspell-table default for Fedora 18 as we need this for Inscript2 and it is feature for Fedora 17.

Comment 2 Parag Nemade 2012-11-09 05:25:42 UTC
Pravin,
  Can you please update here and if needed accordingly close this bug?

Comment 3 Pravin Satpute 2012-11-12 05:28:03 UTC
Not fixed this yet.

Comment 4 Pravin Satpute 2014-01-22 06:27:38 UTC
Steps to reproduce with  ibus-typing-booster-1.2.9-1.fc19.noarch

1) Select any Indic hunspell IME (Marathi- IN Hunspell)
2) Select "Enhanced Inscript"
3) Enable "Alternate Key" to Right+Alt from "control center"-> Keyboard-> Shortcuts->Typing

4) Now type "AltGr+4"  it should output "₹"

Comment 5 Fedora Update System 2015-12-17 12:26:06 UTC
ibus-typing-booster-1.3.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10ffd394ce

Comment 6 Fedora Update System 2015-12-17 12:26:54 UTC
ibus-typing-booster-1.3.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fefee286e1

Comment 7 Fedora Update System 2015-12-18 11:27:07 UTC
ibus-typing-booster-1.3.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ibus-typing-booster'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10ffd394ce

Comment 8 Fedora Update System 2015-12-18 11:55:54 UTC
ibus-typing-booster-1.3.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ibus-typing-booster'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fefee286e1

Comment 9 Fedora Update System 2015-12-22 22:02:54 UTC
ibus-typing-booster-1.3.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-01-09 02:20:59 UTC
ibus-typing-booster-1.3.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.